## mingw-w64-openturns-1.24-4.src.tar.zst

=== lib/src/Base/Algo/CMakeLists.txt ===
#                                               -*- cmake -*-

# Register current directory files
ot_add_current_dir_to_include_dirs ()

ot_add_source_file (ApproximationAlgorithmImplementation.cxx)
ot_add_source_file (ApproximationAlgorithm.cxx)
ot_add_source_file (ApproximationAlgorithmImplementationFactory.cxx)
ot_add_source_file (ClassifierImplementation.cxx)
ot_add_source_file (Classifier.cxx)
ot_add_source_file (FittingAlgorithmImplementation.cxx)
ot_add_source_file (FittingAlgorithm.cxx)
ot_add_source_file (CorrectedLeaveOneOut.cxx)
ot_add_source_file (NearestNeighbourAlgorithmImplementation.cxx)
ot_add_source_file (NearestNeighbourAlgorithm.cxx)
ot_add_source_file (KDTree.cxx)
ot_add_source_file (RegularGridNearestNeighbour.cxx)
ot_add_source_file (NaiveNearestNeighbour.cxx)
ot_add_source_file (NearestNeighbour1D.cxx)
ot_add_source_file (EnclosingSimplexAlgorithm.cxx)
ot_add_source_file (EnclosingSimplexAlgorithmImplementation.cxx)
ot_add_source_file (NaiveEnclosingSimplex.cxx)
ot_add_source_file (RegularGridEnclosingSimplex.cxx)
ot_add_source_file (EnclosingSimplexMonotonic1D.cxx)
ot_add_source_file (BoundingVolumeHierarchy.cxx)
ot_add_source_file (KFold.cxx)
ot_add_source_file (LeastSquaresMetaModelSelection.cxx)
ot_add_source_file (LeastSquaresMetaModelSelectionFactory.cxx)
ot_add_source_file (PenalizedLeastSquaresAlgorithm.cxx)
ot_add_source_file (PenalizedLeastSquaresAlgorithmFactory.cxx)
ot_add_source_file (FFTImplementation.cxx)
ot_add_source_file (FFT.cxx)
ot_add_source_file (KissFFT.cxx)
ot_add_source_file (IntegrationAlgorithmImplementation.cxx)
ot_add_source_file (IntegrationAlgorithm.cxx)
ot_add_source_file (FilonQuadrature.cxx)
ot_add_source_file (GaussKronrod.cxx)
ot_add_source_file (GaussKronrodRule.cxx)
ot_add_source_file (fastgl.cpp)
ot_add_source_file (GaussLegendre.cxx)
ot_add_source_file (FejerAlgorithm.cxx)
ot_add_source_file (IteratedQuadrature.cxx)
ot_add_source_file (DesignProxy.cxx)
ot_add_source_file (LeastSquaresMethodImplementation.cxx)
ot_add_source_file (LeastSquaresMethod.cxx)
ot_add_source_file (QRMethod.cxx)
ot_add_source_file (SVDMethod.cxx)
ot_add_source_file (CholeskyMethod.cxx)
ot_add_source_file (SimplicialCubature.cxx)
ot_add_source_file (SparseMethod.cxx)
ot_add_source_file (KarhunenLoeveReduction.cxx)
ot_add_source_file (KarhunenLoeveResultImplementation.cxx)
ot_add_source_file (KarhunenLoeveResult.cxx)
ot_add_source_file (KarhunenLoeveAlgorithmImplementation.cxx)
ot_add_source_file (KarhunenLoeveAlgorithm.cxx)
ot_add_source_file (KarhunenLoeveP1Algorithm.cxx)
ot_add_source_file (KarhunenLoeveProjection.cxx)
ot_add_source_file (KarhunenLoeveLifting.cxx)
ot_add_source_file (KarhunenLoeveValidation.cxx)
ot_add_source_file (CubaIntegration.cxx)

ot_install_header_file (OTAlgo.hxx)
ot_install_header_file (ApproximationAlgorithmImplementation.hxx)
ot_install_header_file (ApproximationAlgorithm.hxx)
ot_install_header_file (ApproximationAlgorithmImplementationFactory.hxx)
ot_install_header_file (ClassifierImplementation.hxx)
ot_install_header_file (Classifier.hxx)
ot_install_header_file (FittingAlgorithmImplementation.hxx)
ot_install_header_file (FittingAlgorithm.hxx)
ot_install_header_file (CorrectedLeaveOneOut.hxx)
ot_install_header_file (NearestNeighbourAlgorithmImplementation.hxx)
ot_install_header_file (NearestNeighbourAlgorithm.hxx)
ot_install_header_file (KDTree.hxx)
ot_install_header_file (RegularGridNearestNeighbour.hxx)
ot_install_header_file (NaiveNearestNeighbour.hxx)
ot_install_header_file (NearestNeighbour1D.hxx)
ot_install_header_file (EnclosingSimplexAlgorithm.hxx)
ot_install_header_file (EnclosingSimplexAlgorithmImplementation.hxx)
ot_install_header_file (NaiveEnclosingSimplex.hxx)
ot_install_header_file (RegularGridEnclosingSimplex.hxx)
ot_install_header_file (EnclosingSimplexMonotonic1D.hxx)
ot_install_header_file (BoundingVolumeHierarchy.hxx)
ot_install_header_file (KFold.hxx)
ot_install_header_file (LeastSquaresMetaModelSelection.hxx)
ot_install_header_file (LeastSquaresMetaModelSelectionFactory.hxx)
ot_install_header_file (PenalizedLeastSquaresAlgorithm.hxx)
ot_install_header_file (PenalizedLeastSquaresAlgorithmFactory.hxx)
ot_install_header_file (FFTImplementation.hxx)
ot_install_header_file (FFT.hxx)
ot_install_header_file (KissFFT.hxx)
# ot_install_header_file (kissfft.hh)
ot_install_header_file (IntegrationAlgorithmImplementation.hxx)
ot_install_header_file (IntegrationAlgorithm.hxx)
ot_install_header_file (FilonQuadrature.hxx)
ot_install_header_file (GaussKronrod.hxx)
ot_install_header_file (GaussKronrodRule.hxx)
ot_install_header_file (GaussLegendre.hxx)
ot_install_header_file (FejerAlgorithm.hxx)
ot_install_header_file (IteratedQuadrature.hxx)
ot_install_header_file (DesignProxy.hxx)
ot_install_header_file (LeastSquaresMethodImplementation.hxx)
ot_install_header_file (LeastSquaresMethod.hxx)
ot_install_header_file (QRMethod.hxx)
ot_install_header_file (SVDMethod.hxx)
ot_install_header_file (CholeskyMethod.hxx)
ot_install_header_file (SimplicialCubature.hxx)
ot_install_header_file (SparseMethod.hxx)
ot_install_header_file (KarhunenLoeveReduction.hxx)
ot_install_header_file (KarhunenLoeveResultImplementation.hxx)
ot_install_header_file (KarhunenLoeveResult.hxx)
ot_install_header_file (KarhunenLoeveAlgorithmImplementation.hxx)
ot_install_header_file (KarhunenLoeveAlgorithm.hxx)
ot_install_header_file (KarhunenLoeveP1Algorithm.hxx)
ot_install_header_file (KarhunenLoeveProjection.hxx)
ot_install_header_file (KarhunenLoeveLifting.hxx)
ot_install_header_file (KarhunenLoeveValidation.hxx)
ot_install_header_file (CubaIntegration.hxx)

=== lib/src/Uncertainty/Model/CMakeLists.txt ===
#                                               -*- cmake -*-

# Register current directory files
ot_add_current_dir_to_include_dirs ()

ot_add_source_file (Distribution.cxx)
ot_add_source_file (DistributionImplementation.cxx)
ot_add_source_file (EllipticalDistribution.cxx)
ot_add_source_file (SklarCopula.cxx)
ot_add_source_file (ArchimedeanCopula.cxx)
ot_add_source_file (RandomVector.cxx)
ot_add_source_file (RandomVectorImplementation.cxx)
ot_add_source_file (ConditionalRandomVector.cxx)
ot_add_source_file (ConstantRandomVector.cxx)
ot_add_source_file (CompositeRandomVector.cxx)
ot_add_source_file (FunctionalChaosRandomVector.cxx)
ot_add_source_file (KrigingRandomVector.cxx)
ot_add_source_file (UsualRandomVector.cxx)
ot_add_source_file (DomainEvent.cxx)
ot_add_source_file (ThresholdEvent.cxx)
ot_add_source_file (ThresholdEventImplementation.cxx)
ot_add_source_file (ProcessEvent.cxx)
ot_add_source_file (IntersectionEvent.cxx)
ot_add_source_file (StandardEvent.cxx)
ot_add_source_file (UnionEvent.cxx)
ot_add_source_file (DistributionFactoryResult.cxx)
ot_add_source_file (DistributionFactory.cxx)
ot_add_source_file (DistributionFactoryImplementation.cxx)
ot_add_source_file (ProcessImplementation.cxx)
ot_add_source_file (Process.cxx)
ot_add_source_file (DistributionParametersImplementation.cxx)
ot_add_source_file (DistributionParameters.cxx)

ot_install_header_file (RandomVectorImplementation.hxx)
ot_install_header_file (SklarCopula.hxx)
ot_install_header_file (RandomVector.hxx)
ot_install_header_file (EllipticalDistribution.hxx)
ot_install_header_file (CompositeRandomVector.hxx)
ot_install_header_file (ConditionalRandomVector.hxx)
ot_install_header_file (DistributionFactoryResult.hxx)
ot_install_header_file (DistributionFactory.hxx)
ot_install_header_file (DistributionImplementation.hxx)
ot_install_header_file (FunctionalChaosRandomVector.hxx)
ot_install_header_file (KrigingRandomVector.hxx)
ot_install_header_file (UsualRandomVector.hxx)
ot_install_header_file (StandardEvent.hxx)
ot_install_header_file (UnionEvent.hxx)
ot_install_header_file (Distribution.hxx)
ot_install_header_file (DomainEvent.hxx)
ot_install_header_file (ThresholdEvent.hxx)
ot_install_header_file (ThresholdEventImplementation.hxx)
ot_install_header_file (ProcessEvent.hxx)
ot_install_header_file (IntersectionEvent.hxx)
ot_install_header_file (ArchimedeanCopula.hxx)
ot_install_header_file (DistributionFactoryImplementation.hxx)
ot_install_header_file (ConstantRandomVector.hxx)
ot_install_header_file (OTModel.hxx)
ot_install_header_file (ProcessImplementation.hxx)
ot_install_header_file (Process.hxx)
ot_install_header_file (DistributionParametersImplementation.hxx)
ot_install_header_file (DistributionParameters.hxx)

=== PKGBUILD ===
# Contributor: Mehdi Chinoune <mehdi.chinoune@hotmail.com>

_realname=openturns
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=1.24
pkgrel=4
pkgdesc="Uncertainty treatment library (mingw-w64)"
arch=(any)
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://openturns.github.io/www"
msys2_repository_url="https://github.com/openturns/openturns"
msys2_references=(
  'aur: openturns'
)
license=('spdx:LGPL-3.0-only')
depends=("${MINGW_PACKAGE_PREFIX}-cc-libs"
         "${MINGW_PACKAGE_PREFIX}-ceres-solver"
         "${MINGW_PACKAGE_PREFIX}-glog"
         "${MINGW_PACKAGE_PREFIX}-hdf5"
         "${MINGW_PACKAGE_PREFIX}-libxml2"
         "${MINGW_PACKAGE_PREFIX}-libwinpthread"
         "${MINGW_PACKAGE_PREFIX}-mpc"
         "${MINGW_PACKAGE_PREFIX}-mpfr"
         "${MINGW_PACKAGE_PREFIX}-muparser"
         "${MINGW_PACKAGE_PREFIX}-nlopt"
         "${MINGW_PACKAGE_PREFIX}-openblas"
         "${MINGW_PACKAGE_PREFIX}-omp"
         "${MINGW_PACKAGE_PREFIX}-python"
         "${MINGW_PACKAGE_PREFIX}-python-dill"
         "${MINGW_PACKAGE_PREFIX}-python-psutil"
         "${MINGW_PACKAGE_PREFIX}-tbb")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-boost"
             "${MINGW_PACKAGE_PREFIX}-spectra"
             "${MINGW_PACKAGE_PREFIX}-swig")
source=("https://github.com/openturns/openturns/archive/v${pkgver}/${_realname}-${pkgver}.tar.gz"
        "001-fix-default-site-packages.patch")
sha256sums=('6c5232b4daf0b93fbc49dee45299ade2c2c16d44476700e7689af6b50c999f57'
            'f3795c535aee543e6895bb033647ac87e9038e51b8cb202cb34696f2529cbde2')

prepare() {
  cd "${srcdir}"/${_realname}-${pkgver}
  # https://github.com/openturns/openturns/pull/2005
  patch -p1 -i "${srcdir}"/001-fix-default-site-packages.patch
}

build() {
  mkdir -p "${srcdir}"/build-${MSYSTEM} && cd "${srcdir}"/build-${MSYSTEM}

  local -a _extra_config
  if check_option "debug" "n"; then
    _extra_config+=("-DCMAKE_BUILD_TYPE=Release")
  else
    _extra_config+=("-DCMAKE_BUILD_TYPE=Debug")
  fi

  CXXFLAGS+=" -Wno-deprecated-declarations" \
  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=;-DOPENTURNS_DOC_PATH=" \
  ${MINGW_PREFIX}/bin/cmake.exe -Wno-dev \
    -G"Ninja" \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    -DCMAKE_DLL_NAME_WITH_SOVERSION=ON \
    -DOPENTURNS_DOC_PATH=${MINGW_PREFIX}/share/licenses/${_realname} \
    -DPython_EXECUTABLE=${MINGW_PREFIX}/bin/python \
    -DUSE_SPHINX=OFF \
    "${_extra_config[@]}" \
    ../${_realname}-${pkgver}

  ${MINGW_PREFIX}/bin/cmake --build .
}

package() {
  cd "${srcdir}"/build-${MSYSTEM}
  DESTDIR="$pkgdir" ${MINGW_PREFIX}/bin/cmake --install .

  MSYS2_ARG_CONV_EXCL="-p" python -m compileall \
    -o 0 -o 1 -q -s"${pkgdir}" -p"/" "${pkgdir}${MINGW_PREFIX}/lib/python"*

  local PREFIX_MINGW=$(cygpath -am ${MINGW_PREFIX})
  sed -s "s|${PREFIX_MINGW}|\${PACKAGE_PREFIX_DIR}|g" \
    -i "$pkgdir${MINGW_PREFIX}/lib/cmake/${_realname}/OpenTURNSConfig.cmake"
  find "$pkgdir${MINGW_PREFIX}/lib/cmake/${_realname}" -name '*.cmake' -exec \
    sed -s "s|${PREFIX_MINGW}|\$\{_IMPORT_PREFIX\}|g" -i {} \;

  local PREFIX_MSYS2=$(cygpath -am /)
  sed -s "s|${PREFIX_MSYS2::-1}||g" \
    -i "$pkgdir${MINGW_PREFIX}/lib/cmake/${_realname}/OpenTURNSConfig.cmake"
}

=== distro/debian/control ===
Source: openturns
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Denis Barbier <barbier@debian.org>,
           Pierre Gruet <pgt@debian.org>
Build-Depends: debhelper-compat (= 12),
               bison,
               cmake,
               coinor-libipopt-dev,
               dh-python,
               gfortran,
               flex,
               libblas-dev,
               libboost-math-dev,
               libceres-dev,
               libcminpack-dev,
               libdlib-dev,
               libhdf5-dev,
               liblapack-dev,
               libmpc-dev,
               libmpfr-dev,
               libmuparser-dev,
               libnlopt-cxx-dev,
               libpagmo-dev,
               libpng-dev,
               libprimesieve-dev,
               libsqlite3-dev,
               libspectra-dev,
               libtbb-dev,
               libxml2-dev,
               libnanoflann-dev,
               libcuba-dev,
               python3-dev,
               swig
Standards-Version: 4.6.0
Homepage: https://openturns.github.io/www/
Vcs-Browser: https://salsa.debian.org/science-team/openturns
Vcs-Git: https://salsa.debian.org/science-team/openturns.git
Rules-Requires-Root: no

Package: libopenturns0.25
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         openturns-common
Suggests: python3-openturns
Description: dynamic libraries for OpenTURNS
 OpenTURNS is a powerful and generic tool to treat and quantify
 uncertainties in numerical simulations in design, optimization and
 control. It allows both sensitivity and reliability analysis studies:
  * define the outputs of interest and decision criteria;
  * quantify and model the source of uncertainties;
  * propagate uncertainties and/or analyse sensitivity
  * rank the sources of uncertainty
 .
 Targeted users are all engineers who want to introduce the
 probabilistic dimension in their so far deterministic studies.
 .
 This package provides the dynamic libraries.

Package: libopenturns-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libceres-dev,
         libopenturns0.25 (= ${binary:Version})
Description: headers and development libraries for OpenTURNS
 OpenTURNS is a powerful and generic tool to treat and quantify
 uncertainties in numerical simulations in design, optimization and
 control. It allows both sensitivity and reliability analysis studies:
  * defining the outputs of interest and decision criterion;
  * quantify and model the source of uncertainties;
  * propagate uncertainties and/or analyse sensitivity and
  * rank the sources of uncertainty
 .
 Targeted users are all engineers who want to introduce the
 probabilistic dimension in their so far deterministic studies.
 .
 This package contains development files needed to build OpenTURNS applications.

Package: openturns-common
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: generic tool to treat and quantify uncertainties (common files)
 OpenTURNS is a powerful and generic tool to treat and quantify
 uncertainties in numerical simulations in design, optimization and
 control. It allows both sensitivity and reliability analysis studies:
  * defining the outputs of interest and decision criterion;
  * quantify and model the source of uncertainties;
  * propagate uncertainties and/or analyse sensitivity and
  * rank the sources of uncertainty
 .
 Targeted users are all engineers who want to introduce the
 probabilistic dimension in their so far deterministic studies.
 .
 This package contains the configuration file for the versioned library
 package.

Package: python3-openturns
Section: python
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libopenturns0.25 (= ${binary:Version}),
         ${python3:Depends}
Provides: ${python3:Provides}
Suggests: python3-matplotlib,
          python3-scipy
Description: Python3 front-end of OpenTURNS (aka TUI)
 OpenTURNS is a powerful and generic tool to treat and quantify
 uncertainties in numerical simulations in design, optimization and
 control. It allows both sensitivity and reliability analysis studies:
  * defining the outputs of interest and decision criterion;
  * quantify and model the source of uncertainties;
  * propagate uncertainties and/or analyse sensitivity and
  * rank the sources of uncertainty
 .
 Targeted users are all engineers who want to introduce the
 probabilistic dimension in their so far deterministic studies.
 .
 This package provides the Python3 bindings to the library.

=== distro/debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)
DPKG_EXPORT_BUILDFLAGS = 1
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

test_makeflags = -j4

# Getting the number of jobs for the Debian build to transmit it to CMake.
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	test_makeflags = -j$(NUMJOBS)
endif

# Disabling tbb on s390x until Debian bug #1009361 is fixed.
ifeq ($(shell dpkg --print-architecture),s390x)
    with_tbb := -DUSE_TBB:BOOL=OFF
else
    with_tbb := -DUSE_TBB:BOOL=ON
endif

# Discarding the following flaky tests on armel.
ifeq ($(shell dpkg --print-architecture),armel)
    test_discardflags := -E \\\"FunctionalChaos_.*|KrigingAlgorithm_std|MetaModelValidation_std\\\"
endif

BUILD_DATE = $(shell date --utc --date="@$(SOURCE_DATE_EPOCH)" "+%a, %d %b %Y %H:%M:%S %z")

%:
	dh $@ --buildsystem=cmake --with python3

override_dh_auto_configure:
	dh_auto_configure -Bbuilddir -- \
            $(with_tbb) \
            -Dot_configure_date:STRING='$(BUILD_DATE)' \
            -DCMAKE_SKIP_INSTALL_RPATH:BOOL=ON \
            -DCMAKE_INSTALL_PREFIX:PATH=/usr \
            -DCMAKE_INSTALL_LIBDIR:PATH=lib/$(DEB_HOST_MULTIARCH) \
            -DOPENTURNS_PYTHON_MODULE_PATH=lib/python3/dist-packages \
            -DINSTALL_DESTDIR:PATH=$(CURDIR)/debian/tmp \
	        -DCMAKE_UNITY_BUILD=ON -DCMAKE_UNITY_BUILD_BATCH_SIZE=32 \
            -DSWIG_COMPILE_FLAGS:STRING='-O1'

override_dh_auto_build:
	$(MAKE) $(test_makeflags) -C builddir/lib
	$(MAKE) -j2 -C builddir/python
	$(MAKE) $(test_makeflags) -C builddir

override_dh_auto_install:
	dh_auto_install -Bbuilddir
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	eval "LD_LIBRARY_PATH=$${LD_LIBRARY_PATH:+$${LD_LIBRARY_PATH}:}$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) \
	  $(MAKE) $(test_makeflags) -C builddir test ARGS=\"$(test_makeflags) $(test_discardflags) -R pyinstallcheck --output-on-failure --schedule-random\""
endif

override_dh_auto_test:
